# EncryptRequestFrameInit

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**key** | [**SobjectDescriptor**](SobjectDescriptor.md) |  | 
**mode** | [**CipherMode**](CipherMode.md) |  | 
**alg** | [**ObjectType**](ObjectType.md) |  | [optional] 
**iv** | **str** | The initialization vector to use for encryption.  In CBOR, this is encoded directly as a byte string, *not* a UTF-8 string.  If not provided, one is randomly generated.  If provided, the length must match the length required by the cipher and mode.  | [optional] 
**tag_len** | **int** | In AEAD modes, this field specifies the length of the authentication tag to be produced. This field is specified in bits (not bytes). This field is required in AEAD modes, and forbidden otherwise.  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


