# Group

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **str** | Name of the group. Group names must be unique within an account. | [optional] 
**group_id** | **str** | Group ID uniquely identifying this group. | [optional] 
**description** | **str** | Description of the group. | [optional] 
**acct_id** | **str** | Account ID of the account this Group belongs to. | [optional] 
**creator** | [**CreatorType**](CreatorType.md) |  | [optional] 
**created_at** | **str** | When this group was created. | [optional] 
**hmg** | [**dict(str, HmgConfig)**](HmgConfig.md) | Map from UUIDs to HmgConfig objects | [optional] 
**key_undo_policy** | [**KeyUndoPolicy**](KeyUndoPolicy.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


